<html>
<head>
<title>OGRE: OgreStableHeaders.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreStableHeaders.h</h1><a href="OgreStableHeaders_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="comment">/* Stable headers which will be used for precompilation if the compiler</span>
<a name="l00031"></a>00031 <span class="comment">   supports it. Add entries here when headers are unlikely to change.</span>
<a name="l00032"></a>00032 <span class="comment">   NB: a change to any of these headers will result in a full rebuild,</span>
<a name="l00033"></a>00033 <span class="comment">   so don't add things to this lightly.</span>
<a name="l00034"></a>00034 <span class="comment">*/</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="preprocessor">#ifndef __OgreStableHeaders__</span>
<a name="l00037"></a>00037 <span class="preprocessor"></span><span class="preprocessor">#define __OgreStableHeaders__</span>
<a name="l00038"></a>00038 <span class="preprocessor"></span>
<a name="l00039"></a>00039 <span class="preprocessor">#include "<a class="code" href="OgrePlatform_8h.html">OgrePlatform.h</a>"</span>
<a name="l00040"></a>00040 
<a name="l00041"></a>00041 <span class="preprocessor">#if OGRE_PLATFORM == OGRE_PLATFORM_WIN32 || OGRE_PLATFORM == OGRE_PLATFORM_APPLE</span>
<a name="l00042"></a>00042 <span class="preprocessor"></span><span class="preprocessor">#include "<a class="code" href="OgreArchive_8h.html">OgreArchive.h</a>"</span>
<a name="l00043"></a>00043 <span class="preprocessor">#include "<a class="code" href="OgreAxisAlignedBox_8h.html">OgreAxisAlignedBox.h</a>"</span>
<a name="l00044"></a>00044 <span class="preprocessor">#include "<a class="code" href="OgreBitwise_8h.html">OgreBitwise.h</a>"</span>
<a name="l00045"></a>00045 <span class="preprocessor">#include "<a class="code" href="OgreCamera_8h.html">OgreCamera.h</a>"</span>
<a name="l00046"></a>00046 <span class="preprocessor">#include "<a class="code" href="OgreColourValue_8h.html">OgreColourValue.h</a>"</span>
<a name="l00047"></a>00047 <span class="preprocessor">#include "<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>"</span>
<a name="l00048"></a>00048 <span class="preprocessor">#include "<a class="code" href="OgreDataStream_8h.html">OgreDataStream.h</a>"</span>
<a name="l00049"></a>00049 <span class="preprocessor">#include "<a class="code" href="OgreException_8h.html">OgreException.h</a>"</span>
<a name="l00050"></a>00050 <span class="preprocessor">#include "<a class="code" href="OgreFileSystem_8h.html">OgreFileSystem.h</a>"</span>
<a name="l00051"></a>00051 <span class="preprocessor">#include "<a class="code" href="OgreLog_8h.html">OgreLog.h</a>"</span>
<a name="l00052"></a>00052 <span class="preprocessor">#include "<a class="code" href="OgreMath_8h.html">OgreMath.h</a>"</span>
<a name="l00053"></a>00053 <span class="preprocessor">#include "<a class="code" href="OgreMatrix3_8h.html">OgreMatrix3.h</a>"</span>
<a name="l00054"></a>00054 <span class="preprocessor">#include "<a class="code" href="OgreMatrix4_8h.html">OgreMatrix4.h</a>"</span>
<a name="l00055"></a>00055 <span class="preprocessor">#include "<a class="code" href="OgreMovableObject_8h.html">OgreMovableObject.h</a>"</span>
<a name="l00056"></a>00056 <span class="preprocessor">#include "<a class="code" href="OgreNode_8h.html">OgreNode.h</a>"</span>
<a name="l00057"></a>00057 <span class="preprocessor">#include "<a class="code" href="OgrePlane_8h.html">OgrePlane.h</a>"</span>
<a name="l00058"></a>00058 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00059"></a>00059 <span class="preprocessor">#include "<a class="code" href="OgreQuaternion_8h.html">OgreQuaternion.h</a>"</span>
<a name="l00060"></a>00060 <span class="preprocessor">#include "<a class="code" href="OgreResource_8h.html">OgreResource.h</a>"</span>
<a name="l00061"></a>00061 <span class="preprocessor">#include "<a class="code" href="OgreSerializer_8h.html">OgreSerializer.h</a>"</span>
<a name="l00062"></a>00062 <span class="preprocessor">#include "<a class="code" href="OgreSharedPtr_8h.html">OgreSharedPtr.h</a>"</span>
<a name="l00063"></a>00063 <span class="preprocessor">#include "<a class="code" href="OgreSimpleRenderable_8h.html">OgreSimpleRenderable.h</a>"</span>
<a name="l00064"></a>00064 <span class="preprocessor">#include "<a class="code" href="OgreSimpleSpline_8h.html">OgreSimpleSpline.h</a>"</span>
<a name="l00065"></a>00065 <span class="preprocessor">#include "<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>"</span>
<a name="l00066"></a>00066 <span class="preprocessor">#include "<a class="code" href="OgreSphere_8h.html">OgreSphere.h</a>"</span>
<a name="l00067"></a>00067 <span class="preprocessor">#include "<a class="code" href="OgreStdHeaders_8h.html">OgreStdHeaders.h</a>"</span>
<a name="l00068"></a>00068 <span class="preprocessor">#include "<a class="code" href="OgreString_8h.html">OgreString.h</a>"</span>
<a name="l00069"></a>00069 <span class="preprocessor">#include "<a class="code" href="OgreStringConverter_8h.html">OgreStringConverter.h</a>"</span>
<a name="l00070"></a>00070 <span class="preprocessor">#include "<a class="code" href="OgreStringInterface_8h.html">OgreStringInterface.h</a>"</span>
<a name="l00071"></a>00071 <span class="preprocessor">#include "<a class="code" href="OgreStringVector_8h.html">OgreStringVector.h</a>"</span>
<a name="l00072"></a>00072 <span class="preprocessor">#include "<a class="code" href="OgreUserDefinedObject_8h.html">OgreUserDefinedObject.h</a>"</span>
<a name="l00073"></a>00073 <span class="preprocessor">#include "<a class="code" href="OgreVector2_8h.html">OgreVector2.h</a>"</span>
<a name="l00074"></a>00074 <span class="preprocessor">#include "<a class="code" href="OgreVector3_8h.html">OgreVector3.h</a>"</span>
<a name="l00075"></a>00075 <span class="preprocessor">#include "<a class="code" href="OgreVector4_8h.html">OgreVector4.h</a>"</span>
<a name="l00076"></a>00076 <span class="preprocessor">#include "<a class="code" href="OgreWireBoundingBox_8h.html">OgreWireBoundingBox.h</a>"</span>
<a name="l00077"></a>00077 <span class="preprocessor">#include "<a class="code" href="OgreZip_8h.html">OgreZip.h</a>"</span>
<a name="l00078"></a>00078 <span class="preprocessor">#endif</span>
<a name="l00079"></a>00079 <span class="preprocessor"></span>
<a name="l00080"></a>00080 <span class="preprocessor">#endif </span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:56 2008
</p>
</body>
</html>
